Subject: Re: [PATCH 0/1] log: make the --oneline option work with -L

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2024 15:47:17 -0700

"James Liu" <[email-masked]> writes:

> I suppose it isn't intuitive to me which options affect how the commits
> are presented, and which affect the diffs. The help entry for -L states
> that it will "Trace the evolution of the line range", which doesn't
> immediately suggest that it tweaks how the log message is shown.

Sorry, but you lost me.  I do not understand this remark.

The documentation for "-L" does not talk about tweaking how the
message is shown at all, because "-L" does not have a say in how the
log message gets shown at all.  And the documentation for
"--oneline", "--format", "--pretty" all should talk about how the
log message gets shown.

Anyway, if you are happy with "--no-patch", that's good.